%define languagecode    de
%define lc_ctype        de_DE

%define upstream_version 20161207

Name:           hunspell-de
Version:        0.%{upstream_version}.1
Release:        %mkrel 1
Summary:        German hunspell dictionaries
License:        GPLv2 or GPLv3
Group:          System/Internationalization
URL:            http://www.j3e.de/ispell/igerman98
Source0:        http://www.j3e.de/ispell/igerman98/dict/igerman98-%{upstream_version}.tar.bz2
Patch0:         %{name}-0.20110609.1-mga-fix-sed.patch

BuildRequires:  aspell
BuildRequires:  hunspell

BuildArch:      noarch

Requires:       hunspell

Requires:       locales-de
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
Provides:       hunspell-de_AT = %{version}-%{release}
Provides:       hunspell-de_CH = %{version}-%{release}
Provides:       hunspell-de_BE = %{version}-%{release}
Provides:       hunspell-de_LI = %{version}-%{release}
Provides:       hunspell-de_LU = %{version}-%{release}

#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2
Provides:       dictionary-de_AT = 2
Provides:       dictionary-de_CH = 2
Provides:       dictionary-de_BE = 2
Provides:       dictionary-de_LI = 2
Provides:       dictionary-de_LU = 2

AutoReqProv:    no


%description
German (Germany, Switzerland, etc.) hunspell dictionaries.


%prep
%setup -q -n igerman98-%{upstream_version}
%patch0 -p0

sed -i -e "s/AFFIX_EXPANDER = ispell/AFFIX_EXPANDER = aspell/g" Makefile

%build
make hunspell/de_AT.dic hunspell/de_AT.aff \
     hunspell/de_CH.dic hunspell/de_CH.aff \
     hunspell/de_DE.dic hunspell/de_DE.aff
cd hunspell
for i in README_*.txt; do
  if ! iconv -f utf-8 -t utf-8 -o /dev/null $i > /dev/null 2>&1; then
    iconv -f ISO-8859-1 -t UTF-8 $i > $i.new
    touch -r $i $i.new
    mv -f $i.new $i
  fi
  tr -d '\r' < $i > $i.new
  touch -r $i $i.new
  mv -f $i.new $i
done

%install
for lang in `echo hunspell/de_??.dic`
do
    lang=`echo $lang|sed -r 's@.*/@@g'|sed -r 's@\..*@@g'`
    install -D -m 0644 -p hunspell/$lang.dic %{buildroot}%{_datadir}/hunspell/$lang.dic
    install -D -m 0644 -p hunspell/$lang.aff %{buildroot}%{_datadir}/hunspell/$lang.aff
done


%files
%doc hunspell/README_de_??.txt hunspell/COPYING_GPLv2 hunspell/COPYING_GPLv3 hunspell/Copyright
%doc Documentation/*
%{_datadir}/hunspell/*


%changelog
* Fri Jan 24 2020 tex - 0.20161207.1-1pclos2020
- import from france
